Skip to main content
GET
/
analytics
/
events
/
counts
Event Counts
curl --request GET \
  --url https://api.nexus.usehardal.com/analytics/events/counts \
  --header 'Authorization: <api-key>'

Authorizations

Authorization
string
header
required

Query Parameters

timezone
string

Timezone for date filtering (default: Europe/Istanbul)

eventName
string

Filter metrics by a specific event name

targetSignalId
string

Target signal ID for comparison

sampleSize
string

Number of event samples to return (default: 1, max: 5)

limit
number

Number of records to return for raw events (default: 20, max: 1000)

Required range: 1 <= x <= 1000
offset
number

Number of records to skip for raw events pagination (default: 0, max: 10000)

Required range: 0 <= x <= 10000
interval
enum<string>

Interval for time series aggregation (minute, hour, day, week, month)

Available options:
minute,
hour,
day,
week,
month
selectedEvents
string[]

List of event names to include in the results

notSelectedEvents
string[]

List of event names to exclude from the results

timeframe
enum<string>

Timeframe for the query

Available options:
today,
yesterday,
last7days,
last30days,
custom
startDate
string

Start date (YYYY-MM-DD)

endDate
string

End date (YYYY-MM-DD)

Response

200

200 response